atlas-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Graham Wallis (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ATLAS-2232) Master build should drop source and target 1.7 directives
Date Thu, 26 Oct 2017 08:33:00 GMT
Graham Wallis created ATLAS-2232:
------------------------------------

             Summary: Master build should drop source and target 1.7 directives
                 Key: ATLAS-2232
                 URL: https://issues.apache.org/jira/browse/ATLAS-2232
             Project: Atlas
          Issue Type: Bug
            Reporter: Graham Wallis
            Priority: Minor


In a number of Atlas POMs, we specify source and/or target Java version of 1.7.
Since master now requires a minimum of Java 1.8 we should update the source and target directives
to 1.8, or possibly remove them altogether.

These appear to be the affected POMs:
./addons/hdfs-model/pom.xml:121:                    <source>1.7</source>
./addons/hdfs-model/pom.xml:122:                    <target>1.7</target>
./addons/storm-bridge/pom.xml:373:                    <source>1.7</source>
./addons/storm-bridge/pom.xml:374:                    <target>1.7</target>
./distro/pom.xml:195:                        <version>1.7</version>
./pom.xml:1931:                    <source>1.7</source>
./pom.xml:1932:                    <target>1.7</target>
./repository/pom.xml:199:                    <source>1.7</source>
./repository/pom.xml:200:                    <target>1.7</target>
./typesystem/pom.xml:137:                    <source>1.7</source>
./typesystem/pom.xml:138:                    <target>1.7</target>
./webapp/pom.xml:703:                    <source>1.7</source>
./webapp/pom.xml:704:                    <target>1.7</target>




--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message